Subject: Re: GNUWIN32 build environment
From: [email-masked] (Geoffrey Noer)

16 Jul 1997 00:45:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Patrick Doyle)
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> from "Patrick Doyle" at Jul 11, 97 10:38:42 am
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

Patrick Doyle wrote:
> 
> 1) What platform did you build it on? (i.e. linux, W95, NT, etc...)

Solaris although Linux and other operating systems ought to work.
First built a cross compiler and then used it to build the native
tools.  This was what was shipped as the native tools although I do
confirm that these can rebuild themselves successfully under NT (and
95 when time allows).

Beta 18 had the exception that you couldn't rebuild tcl, tk, or gdbtk
under NT native so I did the test native rebuild with "-k" and configured
with "--disable-gdbtk".  This should no longer be a problem as of beta 19.

> 2) What arguments did you give to configure?

I used --prefix to pick the install path and --exec-prefix to the install
path with H-<host> added to the end (H-sparc-sun-solaris for the build and
H-i386-cygwin32 for the native).  Also pass -v so I can see what's going
on.  Then I set --build to the build triple, --host to the host triple, and
--target to the target triple.

So the cross was configured with something like:
/path/to/src/configure -v --target=i386-cygwin32 --prefix=/install --exec-prefix=/install/H-sparc-sun-solaris2

And the native was configured with something like:
/path/to/src/configure -v --build=sparc-sun-solaris2 --host=i386-cygwin32 --target=i386-cygwin32 --prefix=/install-win32 --exec-prefix=/install-win32/H-i386-cygwin32

And the same thing as the native tools for the user tools.

> 3) What arguments did you give to "make"?

Nothing special.  (They are set up by configure).

> 4) In general, what hand tweaking did you have to do afterwards?

Very little.  I stripped the cygwin.dll by hand with objcopy since
strip was broken with respect to stripping dlls.

> 5) Were there differences in the answers to these questions between
>    the CDK and the user-tools source trees?

No.  The common files (top level configury, etc.) are the same in both
trees.

> I realize that these are probably FAQ's and, in fact, there are some
> answers in the FAQ page, but I don't believe it is up to date.  (It
> states, "Assuming you have the src installed as /src, will build in
> the directory /obj..." but that seems to imply there is a single
> source tree, where now there are two (cdk and user-tools).

I've always used separate ones for my convenience.  You could probably
build everything from a single combined source tree.

> Also,
> having played a little with the usertools source, I am curious how you
> manage to install ".exe" files.  Do you use the
> "program-transform-name" option?

This is what some nastiness in the dosrel subdirectory Makefile takes care
of.  It's the last thing that's done during the install and it makes
the necessary modifications to the install tree.  This is not intended to
be a long-term solution.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".